id: 23
createUser: admin
createTime: 2025-05-06T04:11:48.453210879Z
name: affected_files_on_tackleTestapp_deps_test-app-velit15.7.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=camel4
        path: ""
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 7
    name: affected_files_on_tackleTestapp_deps_test-app-velit15
bucket:
    id: 25
    name: ""
started: 2025-05-06T04:11:49.485096029Z
terminated: 2025-05-06T04:17:04.169082194Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-06T04:11:49.439351305Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-05-06T04:11:49.455521729Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-23-jl7xq
      last: 2025-05-06T04:11:49.588896791Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-05-06T04:11:51.72798268Z
    - kind: PodRunning
      count: 209
      last: 2025-05-06T04:15:38.844086025Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-06T04:15:38.844086827Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-05-06T04:15:38.907921482Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-06T04:17:04.169033483Z
errors:
    - severity: Error
      description: '[Analyzer] camel3/camel2.component-changes-00010: could not parse provided xpath query ''//*[c:crypto and not(b:crypto/@algorithm)]/c:crypto'': prefix b not defined.'
    - severity: Error
      description: '[Analyzer] camel3/camel2.component-changes-00011: could not parse provided xpath query ''//*[c:secureXML and (count(c:secureXML/@passPhrase)+count(c:secureXML/@passPhraseByte))<1]/c:secureXML/'': expression must evaluate to a node-set'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=1) KYTgos.'
    - '[FILE] Created /addon/.gitconfig.'
    - '[FILE] Created /addon/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp /shared/source/tackle-testapp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=3 (camel3/camel2)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=10 (fuse/sonicesb)'
    - '[RULESET] fetching: id=21 (camel3)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/3/rules /addon/rules/rulesets/3/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/10/rules /addon/rules/rulesets/10/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/21/rules /addon/rules/rulesets/21/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/3/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/10/rules --rules /addon/rules/rulesets/21/rules --label-selector konveyor.io/target=camel4 --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 7.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 7 reported. duration: 70.534654ms'
    - Facts updated.
    - Done.
attached:
    - id: 530
      name: ssh-agent.output
      activity: 9
    - id: 533
      name: git.output
      activity: 16
    - id: 538
      name: windup-shim.output
      activity: 23
    - id: 539
      name: windup-shim.output
      activity: 25
    - id: 540
      name: windup-shim.output
      activity: 27
    - id: 541
      name: windup-shim.output
      activity: 29
    - id: 542
      name: windup-shim.output
      activity: 31
    - id: 543
      name: settings.yaml
      activity: 32
    - id: 544
      name: konveyor-analyzer.output
      activity: 33
    - id: 545
      name: git.output
      activity: 36
    - id: 531
      name: addon.log
    - id: 532
      name: java.log
    - id: 547
      name: pod.yaml
